curl --request POST \
--url https://api.example.com/api/v1/audiences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "SaaS Founders & Agency Owners",
"type": "FOLLOWERS",
"desc": "Scraped followers of @gohighlevel and @hubspot",
"max_scrape_count": 500,
"parentUsernames": [
"gohighlevel",
"hubspot"
],
"parentLinks": [],
"data": [],
"filters": []
}
'import requests
url = "https://api.example.com/api/v1/audiences"
payload = {
"name": "SaaS Founders & Agency Owners",
"type": "FOLLOWERS",
"desc": "Scraped followers of @gohighlevel and @hubspot",
"max_scrape_count": 500,
"parentUsernames": ["gohighlevel", "hubspot"],
"parentLinks": [],
"data": [],
"filters": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'SaaS Founders & Agency Owners',
type: 'FOLLOWERS',
desc: 'Scraped followers of @gohighlevel and @hubspot',
max_scrape_count: 500,
parentUsernames: ['gohighlevel', 'hubspot'],
parentLinks: [],
data: [],
filters: []
})
};
fetch('https://api.example.com/api/v1/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"desc": "<string>",
"max_scrape_count": 123,
"parentUsernames": [],
"parentLinks": [],
"filters": []
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}Create Audience List
Create a new audience list and immediately dispatch background scraping to collect target Instagram leads.
Authorizations
Enter your API key: wave_live_<token>
Body
Payload to create an audience list and start background scraping.
User-friendly name for this audience list
1 - 150"SaaS Founders & Agency Owners"
Source type of audience: FOLLOWERS, MANUAL
FOLLOWERS, MANUAL "FOLLOWERS"
Optional description or notes for the audience list
"Scraped followers of @gohighlevel and @hubspot"
Maximum number of leads to extract
x >= 1500
Target Instagram usernames to extract followers from (required if type is FOLLOWERS)
["gohighlevel", "hubspot"]
Target post links if extracting from posts
Pre-existing leads data (required if type is MANUAL)
List of filter criteria to apply to the scraped audience
Show child attributes
Show child attributes
Response
Successful Response
Full detail of an audience list including filter configurations.
Audience list ID
Configured filter rules
Show child attributes
Show child attributes

